/**
*
* egContainer Class
*/
function egContainer(id, posX, posY, width, height, parentContainer, isShown) {
	 this.id = id;

	 this.x = posX;
	 this.y = posY;
	 this.width = 0;
	 this.height = 0;

	 this.getHeight = egWindow_getHeight;
	 this.getWidth  = egWindow_getWidth;

	 this.show = egWindow_show;
	 this.hide = egWindow_hide;
	 this.moveTo = egWindow_moveTo;
	 this.displayAt = egWindow_displayAt;

   if (!parentContainer) {
      parentContainer = 'easy-GUI_mainLayer';
   }
	 divRoot = document.getElementById(parentContainer);
	 var overflow = 'auto'; 
	 if(width == 0 || height == 0) {
	  overflow = 'visible';
	 }
	 
   var display = 'none';
 	 if(isShown){
	 		display = 'block';
	 }

	 divRoot.innerHTML += '<div id="'+this.id+'" style="position: absolute; display: ' + display + '; overflow: ' + overflow + ';"></div>';

	 div = document.getElementById(this.id);
	 div.style.width  = width+'px';
	 div.style.height = height+'px';
	 div.style.left = posX+'px';
	 div.style.top  = posY+'px';
}